package com.chenyang.nse.bussiness.entity.orm.table.core.key;

import com.chenyang.nse.bussiness.entity.orm.table.TInitEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "t_core_key_quantum_parameter"
)
public class TCoreKeyQuantumParameter extends TInitEntity {
   private String zdxlzjcedir;
   private String certspem;
   private String sigkeypem;
   private String cacrtpem;

   public String getZdxlzjcedir() {
      return this.zdxlzjcedir;
   }

   public String getCertspem() {
      return this.certspem;
   }

   public String getSigkeypem() {
      return this.sigkeypem;
   }

   public String getCacrtpem() {
      return this.cacrtpem;
   }

   public void setZdxlzjcedir(final String zdxlzjcedir) {
      this.zdxlzjcedir = zdxlzjcedir;
   }

   public void setCertspem(final String certspem) {
      this.certspem = certspem;
   }

   public void setSigkeypem(final String sigkeypem) {
      this.sigkeypem = sigkeypem;
   }

   public void setCacrtpem(final String cacrtpem) {
      this.cacrtpem = cacrtpem;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof TCoreKeyQuantumParameter)) {
         return false;
      } else {
         TCoreKeyQuantumParameter other = (TCoreKeyQuantumParameter)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$zdxlzjcedir = this.getZdxlzjcedir();
            Object other$zdxlzjcedir = other.getZdxlzjcedir();
            if (this$zdxlzjcedir == null) {
               if (other$zdxlzjcedir != null) {
                  return false;
               }
            } else if (!this$zdxlzjcedir.equals(other$zdxlzjcedir)) {
               return false;
            }

            Object this$certspem = this.getCertspem();
            Object other$certspem = other.getCertspem();
            if (this$certspem == null) {
               if (other$certspem != null) {
                  return false;
               }
            } else if (!this$certspem.equals(other$certspem)) {
               return false;
            }

            Object this$sigkeypem = this.getSigkeypem();
            Object other$sigkeypem = other.getSigkeypem();
            if (this$sigkeypem == null) {
               if (other$sigkeypem != null) {
                  return false;
               }
            } else if (!this$sigkeypem.equals(other$sigkeypem)) {
               return false;
            }

            Object this$cacrtpem = this.getCacrtpem();
            Object other$cacrtpem = other.getCacrtpem();
            if (this$cacrtpem == null) {
               if (other$cacrtpem != null) {
                  return false;
               }
            } else if (!this$cacrtpem.equals(other$cacrtpem)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof TCoreKeyQuantumParameter;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $zdxlzjcedir = this.getZdxlzjcedir();
      result = result * 59 + ($zdxlzjcedir == null ? 43 : $zdxlzjcedir.hashCode());
      Object $certspem = this.getCertspem();
      result = result * 59 + ($certspem == null ? 43 : $certspem.hashCode());
      Object $sigkeypem = this.getSigkeypem();
      result = result * 59 + ($sigkeypem == null ? 43 : $sigkeypem.hashCode());
      Object $cacrtpem = this.getCacrtpem();
      result = result * 59 + ($cacrtpem == null ? 43 : $cacrtpem.hashCode());
      return result;
   }

   public String toString() {
      return "TCoreKeyQuantumParameter(zdxlzjcedir=" + this.getZdxlzjcedir() + ", certspem=" + this.getCertspem() + ", sigkeypem=" + this.getSigkeypem() + ", cacrtpem=" + this.getCacrtpem() + ")";
   }
}
